// packageD/energy/familyMember/familyMember.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getdata();
  },
  addUser(){
    wx.navigateTo({
      url: '/packageE/energy/AddfamilyMember/AddfamilyMember',
    });
  },
  goAdd(e){
    let kid = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageE/energy/AddfamilyMember/AddfamilyMember?id='+kid,
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getdata();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  deluser(e){
    let id = e.currentTarget.dataset.id.uid;
    let urlStr = app.getNetAddresss("plugin.energy-cabin.frontend.user-terminal.del-family-member");
    let that = this;
    let json = {
      card_id: that.data.list.id,
      family_user_id: id
    };
    app._getNetWork({
      url: urlStr,
      data:json,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          wx.showToast({
            title: res.msg,
            icon:'none',
            duration:1000
          });
          that.getdata();
        }else{
          wx.showToast({
            title: res.msg,
            icon:'none',
            duration:1000
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  getdata(){
    let urlStr = app.getNetAddresss("plugin.energy-cabin.frontend.user-terminal.get-family-member");
    let that = this;
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            list : res.data
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  }
});